Subject: PMP> RE: [More IESG] comments on draft-ietf-printmib-mib-info-07.txt

From: "McDonald, Ira" <[email-masked]>
Date: Mon, 25 Jun 2001 13:59:15 -0700

Hi Ron,

Nope - none of us saw these comments from Juergen Schoenwaelder
(SNMPv3 guru and the author of SNMP over TCP spec).

We'll take a look at them.

Other PWG folks, here are some more comments on Printer MIB v2.

Cheers,
- Ira McDonald, consulting architect at Sharp and Xerox
  High North Inc

-----Original Message-----
From: Bergman, Ron [mailto:[email-masked]]
Sent: Friday, June 22, 2001 12:43 PM
To: Ira McDonald (E-mail); Ray Casterline (E-mail); [email-masked]'
Subject: FW: comments on draft-ietf-printmib-mib-info-07.txt

Did anyone not see this other than me?

I will attempt to edit the draft with these changes and send out for review.
Items 3, 6, and 8 will need some research, but I suspect these will be easy
to resolve.

Looks like we are getting some attention now!

	Ron

-----Original Message-----
From: Wijnen, Bert (Bert) [mailto:[email-masked]]
Sent: Friday, June 22, 2001 9:04 AM
To: Bergman, Ron <[email-masked]>
Cc: David Harrington; Patrik Fältström
Subject: FW: comments on draft-ietf-printmib-mib-info-07.txt

Ron.... I now see that you did not get copied on this email.
You may have seen it via the other authors though?
Some of it may also be duplicates of what Dave and I reported.

May I assume we'll get (yet) another rev?
Bert

> ----------
> From: 	Juergen Schoenwaelder[SMTP:[email-masked]]
> Sent: 	Thursday, June 07, 2001 1:23 PM
> To: 	[email-masked]; [email-masked]; [email-masked]
> Cc: 	Bert Wijnen; Randy Bush
> Subject: 	comments on draft-ietf-printmib-mib-info-07.txt
> 
> 
> Below are comments on the MIB in <draft-ietf-printmib-mib-info-07.txt>.
> It would be nice if you can address them.
> 
>  1. Please import mib-2 from SNMPv2-SMI instead of RFC1213-MIB. This
>     avoids the dependency from SMIv1 MIB modules.
> 
>  2. Our smilint suggests to use Integer32 (0..126) instead of INTEGER
>     (0..126) in the definition of PrtSubUnitStatusTC. Sure, this change
>     is cosmetic so I am not religious about it.
> 
>  3. There are multiple refinements for prtAuxiliarySheetStartupPage,
>     prtAuxiliarySheetBannerPage, prtInputMediaLoadTimeout, and
>     prtInputNextIndex in the prtMIBCompliance compliance statement.
>     This does not make sense to me.
> 
>  4. The definition of prtChannelIndex requires a range restriction
>     such as (1..2147483647) since negative values are not possible.
>     (I suggest to not include 0 unless existing implementations
>     already use the value 0.)
> 
>  5. Similarily, prtAlertIndex should have a suitable range restriction
>     such as (1..2147483647).
> 
>  6. prtAlertIndex can not be used in the OBJECTS clause of the
>     printerV2Alert notification since it is not-accessible. Note that
>     the index is not needed in the notification since it can be
>     obtained from the other objects present in the OBJECT clause.
> 
>  7. prtAlertIndex can not be a member of the prtAlertTableGroup as it
>     is not-accessible. (OK, it looks like this definition has already
>     been in RFC 1759 so it might be too late to fix it.)
> 
>  8. I suggest to add clauses to the compliance statement that say that
>     the prtAlertTimeGroup is unconditionally optional (similar to the
>     clauses for the prtMarkerColorantGroup).
> 
> /js
> 
> -- 
> Juergen Schoenwaelder      Technical University Braunschweig
> <[email-masked]>  Dept. Operating Systems & Computer Networks
> Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
> Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>
> 
>